Skip to main content
GET
/
api
/
v1
/
devices
/
{device_id}
Get Device
curl --request GET \
  --url https://api.example.com/api/v1/devices/{device_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "session_name": "<string>",
  "status": "<string>",
  "is_primary": true,
  "auto_warmer_enabled": true,
  "total_messages_sent": 123,
  "total_messages_received": 123,
  "contacts_synced_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "timezone": "<string>",
  "connection_attempts": 123,
  "daily_message_limit": 123,
  "message_delay_ms": 123,
  "phone_number": "<string>",
  "last_connected_at": "2023-11-07T05:31:56Z",
  "last_health_check_at": "2023-11-07T05:31:56Z",
  "last_contact_sync_at": "2023-11-07T05:31:56Z",
  "last_contact_sync_status": "<string>",
  "backend_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.wazzapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

device_id
string<uuid>
required

Response

Successful Response

Detailed read-only device response.

id
string<uuid>
required
name
string
required
session_name
string
required
status
string
required
is_primary
boolean
required
auto_warmer_enabled
boolean
required
total_messages_sent
integer
required
total_messages_received
integer
required
contacts_synced_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
timezone
string
required
connection_attempts
integer
required
daily_message_limit
integer
required
message_delay_ms
integer
required
phone_number
string | null
last_connected_at
string<date-time> | null
last_health_check_at
string<date-time> | null
last_contact_sync_at
string<date-time> | null
last_contact_sync_status
string | null
backend_id
string<uuid> | null